| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsGpuDeviceInfo Class Reference

Contains information describing a GPU device attached to an ibi™ Patterns - Search Server. More...

## Public Member Functions
int | getId ()
| Get the id of the GPU device.
String | getName ()
| Get the name of the GPU device.
bool | isDefault ()
| Check if the server uses the device by default.
bool | isOnRequest ()
| Check if the server uses the device only on request.
bool | isRecommended ()
| Check if the device meets ibi™ Patterns - Search minimum recommendations.
bool | isUsable ()
| Check if the device meets ibi™ Patterns - Search minimum requirements.
override String | ToString ()
| Return a human readable string representation of the recorgpu device information.

## Detailed Description

Contains information describing a GPU device attached to an ibi™ Patterns - Search Server.

## Member Function Documentation

## ◆ getId()

int NetricsServerInterface.NetricsGpuDeviceInfo.getId | ( |  | ) |
| inline

Get the id of the GPU device.

Returns
  the id of the GPU device.

## ◆ getName()

String NetricsServerInterface.NetricsGpuDeviceInfo.getName | ( |  | ) |
| inline

Get the name of the GPU device.

Returns
  the name of the GPU device.

## ◆ isDefault()

bool NetricsServerInterface.NetricsGpuDeviceInfo.isDefault | ( |  | ) |
| inline

Check if the server uses the device by default.

Returns
  true if the server uses the device by default.

## ◆ isOnRequest()

bool NetricsServerInterface.NetricsGpuDeviceInfo.isOnRequest | ( |  | ) |
| inline

Check if the server uses the device only on request.

Returns
  true if the server uses the device only on request.

## ◆ isRecommended()

bool NetricsServerInterface.NetricsGpuDeviceInfo.isRecommended | ( |  | ) |
| inline

Check if the device meets ibi™ Patterns - Search minimum recommendations.

Returns
  true if the device meets ibi™ Patterns - Search minimum recommendations.

## ◆ isUsable()

bool NetricsServerInterface.NetricsGpuDeviceInfo.isUsable | ( |  | ) |
| inline

Check if the device meets ibi™ Patterns - Search minimum requirements.

Returns
  true if the device meets ibi™ Patterns - Search minimum requirements.